Skip to content

REST API

Use the REST API to connect Zeitplan.io to other applications, for example reporting tools. The API is read-only.

Open API from the navigation. There you’ll find your API Key and the Base URL to send requests to.

Send your API key with every request, either

  • in the x-api-key header (recommended), or
  • as the apiKey query parameter.
Terminal window
curl -H "x-api-key: <your-api-key>" "<base-url>/projects"
Endpoint Returns Optional query parameters
GET /assignments Assignments userId, projectId, startDate, endDate (dates as YYYY-MM-DD)
GET /projects Projects includeArchived
GET /users Users includeAssignments